import UIKit
import Flutter
//import YandexMapKit
import GoogleMaps

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
    if #available(iOS 10.0, *) {
      UNUserNotificationCenter.current().delegate = self as? UNUserNotificationCenterDelegate
    }
//    YMKMapKit.setApiKey("99f372fa-f8ca-446a-b292-39bd9eccf0d9")
    GMSServices.provideAPIKey("AIzaSyAni_aw18PcQRKtHzriUjArsSDmnncbvRY")
    GeneratedPluginRegistrant.register(with: self)
    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }
}
